if Network:is_client() then
	return
end

if not Global.game_settings or Global.game_settings.level_id ~= 'nmh' then
	return
end

core:module('CoreElementLogicChance')
core:import('CoreMissionScriptElement')

ElementLogicChance = ElementLogicChance or class(CoreMissionScriptElement.MissionScriptElement)

function ElementLogicChance:on_executed(instigator)
	if not self._values.enabled then
		return
	end

	local id = tostring(self._id)

	if id == '103741' then
		_G.NMHS.civ_call_cnt = _G.NMHS.civ_call_cnt + 1
		if _G.NMHS.civ_call_cnt == 1 then
			self._chance = 0 --no civ on first roll
		elseif _G.NMHS.civ_call_cnt == 3 then
			self._chance = 80 -- 40% on continuous phone call
		end
	end

	local roll = math.random(100)

	if self._chance < roll then
		self:_trigger_outcome("fail")
		return
	end

	self:_trigger_outcome("success")
	ElementLogicChance.super.on_executed(self, instigator)
end