if Network:is_client() then
	return
end

if not Global.game_settings or Global.game_settings.level_id ~= 'nmh' then
	return
end

core:import("CoreMissionScriptElement")

ElementSpawnCivilianGroup = ElementSpawnCivilianGroup or class(CoreMissionScriptElement.MissionScriptElement)

function ElementSpawnCivilianGroup:init(...)
	ElementSpawnCivilianGroup.super.init(self, ...)

	self._group_data = {
		amount = self._values.amount,
		random = self._values.random,
		ignore_disabled = self._values.ignore_disabled,
		spawn_points = {}
	}
	self._unused_randoms = {}

	if tostring(self._id) == '103739' then
		--fix civs not spawning from right elevator
		table.insert(self._values.elements, 103729)
		table.insert(self._values.elements, 103731)
	end

	self:_finalize_values()
end